Bug 823790 - Renaming file says "Disk quota limit exceeded" even it has not.
Renaming file says "Disk quota limit exceeded" even it has not.
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
pre-release
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 03:32 EDT by shylesh
Modified: 2016-02-17 19:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-22 03:45:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-05-22 03:32:20 EDT
Description of problem:
Renaming a file whose size is greater than half of quota limit-usage set throws an error message saying "Disk quota limit exceeded"

Version-Release number of selected component (if applicable):
3.3.0qa42

How reproducible:


Steps to Reproduce:
1. Create a volume say distributed-replicate.
2. set quota limit of 900MB
3. Create a file of size 500MB say FILE1
4. Now rename FILE1 to something else.
  
Actual results:
An error message saying "Disk quota limit exceeded" will be displayed even though it has not.


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-07-11 07:12:00 EDT
Need to cross check if its properly documented. 
Divya, want your feedback here. If documented, can close it.
Comment 2 Divya 2012-07-11 08:32:20 EDT
This information is added as Known Issue in RHS 2.0 Release Notes and it is available at: http://docs.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/2.0_Release_Notes/chap-2.0_Release_Notes-Test_Chapter.html
Comment 3 Vidya Sakar 2012-08-14 21:54:21 EDT
(In reply to comment #2)
Divya, I suggest that this should be documented in the quota chapter of administration guide. While it is ok to document it as a known issue, this is also how it is expected to work, so admin guide documentation will be good. Moving the bug to DP.
Comment 5 Vijaikumar Mallikarjuna 2015-01-22 03:45:18 EST
Closing the bug as 3.3 is not supported

Note You need to log in before you can comment on or make changes to this bug.